Subject: bug#11808: closed (Re: bug#11808: IDO fails with tramp /ftp:)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 29 Jun 2012 07:24:02 +0000

Your bug report

#11808: IDO fails with tramp /ftp:

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
11808: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11808
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#11808: IDO fails with tramp /ftp:
From: Michael Albinus <[email-masked]>
To: Vitalie Spinu <[email-masked]>
Cc: [email-masked]
Date: Fri, 29 Jun 2012 09:18:55 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Vitalie Spinu <[email-masked]> writes:

> The first time I invoke /ftp:user@host: it says [No Match] (previously
> it would request completions of /ftp:user@host: directories and show
> them all). But, on the second invocation the list of directories is
> displayed properly. May be something should be tweaked on IDO side?

There was a subtle change in completion of remote files. As long as you
type the remote host identification, it doesn't complete for that host
if there isn't an established connection yet. The reason is, that people
felt disturbed by error messages or password requests, even when they
have mistyped something and didn't want to connect yet.

When you start to type a local file name of that remote host (start with
"/"), completion shall work as expected in ido.

> Sorry, I will be on leave for 10 days, from tomorrow, without access to
> my computers.

I believe the behaviour is correct now, after that change. I'm closing
the bug. Feel free to to continue discussion, if you believe it doesn't
work correctly.

> Thanks,
> Vitalie.

Best regards, Michael.

Subject: IDO fails with tramp /ftp:
From: Vitalie Spinu <[email-masked]>
To: [email-masked]
Date: Thu, 28 Jun 2012 15:39:28 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi, 

When I try to access ftp through ido I am getting on 24.1.50.1 

Debugger entered--Lisp error: (file-error "Opening directory" "no such file or directory" "/ftp:[email-masked]:./")
  signal(file-error ("Opening directory" "no such file or directory" "/ftp:[email-masked]:./"))
  byte-code("\301@A\"\207" [err signal] 3)
  ange-ftp-hook-function(file-name-all-completions "" "/ftp:[email-masked]:./")
  apply(ange-ftp-hook-function file-name-all-completions ("" "/ftp:[email-masked]:./"))
  tramp-ftp-file-name-handler(file-name-all-completions "" "/ftp:[email-masked]:./")
  apply(tramp-ftp-file-name-handler file-name-all-completions ("" "/ftp:[email-masked]:./"))
  byte-code("\300\301\215\207" [suppress (apply foreign operation args)] 2)
  tramp-file-name-handler(file-name-all-completions "" "/ftp:[email-masked]:./")
  file-name-all-completions("" "/ftp:[email-masked]:./")
  ido-file-name-all-completions-1("/ftp:[email-masked]:")
  ido-file-name-all-completions("/ftp:[email-masked]:")
  ido-make-file-list-1("/ftp:[email-masked]:")
  ido-make-file-list("incoming/")
  ido-read-internal(file "Find file: " ido-file-history nil confirm-after-completion nil)
  ido-file-internal(raise-frame)
  ido-find-file()
  call-interactively(ido-find-file nil nil)

How to reproduce:

M-x ido-mode

C-x f /ftp:[email-masked]:

This doesn't happen with emacs 23. It also works fine without IDO on
emacs 24.

Any ideas?

Vitalie.